WithdrawService
Validate Withdraw Destination
Validate an external-chain withdraw destination without creating a withdraw.
Method
POST
Path
/v1/chain/withdraws:validate-destination
Visibility
Authentication
Session token or API key
MFA Requirement
Not required
POST
/v1/chain/withdraws:validate-destination Request
Testnet
curl --request POST \ \
--url 'https://api.testnet.polyester.com/v1/chain/withdraws:validate-destination' \
--header 'Accept: */*' \
--header 'X-API-KEY-ID: YOUR_API_KEY_ID' \
--header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \
--header 'X-API-SIGNATURE: YOUR_API_SIGNATURE' \
--header 'Content-Type: application/json' \
--data '{
"destinationAddress": "0x3333333333333333333333333333333333333333",
"destinationChainId": "1"
}'Responses
{
"canonicalDestinationAddress": "value",
"code": "VALID",
"message": "value",
"valid": false
} destinationAddress string
Destination address to validate for destination_chain_id.
destinationChainId string
External destination chain identifier.
canonicalDestinationAddress string
Canonical destination address when valid. Empty when valid is false.
Example
value code enum
Public validation outcome code.
VALID INVALID_ADDRESS UNSUPPORTED_CHAIN POLYESTER_SMART_ACCOUNT TOKEN_CONTRACT DENYLISTED_ADDRESS
Example
VALID message string
User-safe explanation of the validation outcome.
Example
value valid boolean
Whether the destination may be used for a withdraw.
Example
false| Key | Status | Error | When |
|---|---|---|---|
| unauthenticated | 401 | Unauthenticated | Authentication required. |
| permission-denied | 403 | Permission Denied | Permission denied. |
| invalid-argument | 400 | Invalid Argument | Invalid argument. |
| not-found | 404 | Not Found | Not found. |
| unavailable | 503 | Unavailable | Service unavailable. |